Your AccountGet Your Account

Get Your Account

Retrieve your account information, including remaining credits and usage by data type.

curl -X GET "https://api.datafiniti.co/v4/account" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "email": "user@example.com",
  "first_name": "John Doe",
  "last_name": "John Doe",
  "num_credits_used": 42,
  "business_credits_allotted": 42,
  "business_credits_used": 42,
  "people_credits_allotted": 42,
  "people_credits_used": 42,
  "product_credits_allotted": 42,
  "product_credits_used": 42,
  "property_credits_allotted": 42,
  "property_credits_used": 42
}
GET
/account
GET
Bearer Token
Bearer Tokenstring
Required

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Responses

emailstring

Account email address

first_namestring

First name

last_namestring

Last name

num_credits_usedinteger

Total credits used (legacy plans)

business_credits_allottedinteger

Business data credits allotted

business_credits_usedinteger

Business data credits used

people_credits_allottedinteger

People data credits allotted

people_credits_usedinteger

People data credits used

product_credits_allottedinteger

Product data credits allotted

product_credits_usedinteger

Product data credits used

property_credits_allottedinteger

Property data credits allotted

property_credits_usedinteger

Property data credits used

This allows you to retrieve your account information, which is useful for checking how many credits you have remaining for the period.

Your credits used are based on the data plan you are using. These credits are split between business, people, products, and property. Each having their own separate limits for credit usage. Using this GET request will verify how many credits you have used.

If you are on a legacy plan, reference num_credits_used to verify overall credit consumption. Consult your plan's credits_allotted field for total limits.